
Foreman - Bug #1804

Class filter in host page does not show inherited class from nested hostgroup

08/02/2012 04:48 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Search   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I query class = X, I only get hosts which get that class from their hostgroup or with manual add.

I don't have hosts which get that class by nested hostgroup

Related issues:

Related to Foreman - Bug #2189: Problem searching for host params "inherited"... Duplicate 02/07/2013

Related to Foreman - Feature #2263: search Hostgroup by label Closed 02/28/2013

Associated revisions

Revision b52484ff - 03/30/2014 09:58 AM - Dominic Cleal

fixes #1804 - find hosts through nested hostgroups on puppet class search

History

#1 - 11/08/2012 03:58 AM - Romain Vrignaud

This bug seems still valid in latest develop branch (11/8/12)

#2 - 03/28/2014 10:00 AM - Dominic Cleal

- Description updated

- Category set to Search

#3 - 03/28/2014 11:51 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.8.4

https://github.com/theforeman/foreman/pull/1334

#4 - 03/30/2014 10:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b52484ff094720af6726f7e222232eef6baca2bc.

#5 - 03/31/2014 07:50 AM - Dominic Cleal

- translation missing: en.field_release set to 4
